body,html {
	height:100%;
	margin:0;
	padding:0
}

ol,ul {
	border-left:dotted 1px transparent;
	list-style-type:none
}
ol:hover,ul:hover {
	border-left-color:#DDD
}
.ui-notification {
	font:12px/24px arial,sans-serif;
	position:absolute;
	text-align:center;
	
	z-index:10
}
.ui-msg {
	background:#FF8;
	border-radius:0 0 3px 3px;
	display:none;
	padding:0 10px
}
.ui-field {
	background:#F8F8F8;
	border:solid #CCC;
	border-radius:2px;
	border-width:0 1px 1px 0;
	-moz-box-sizing:border-box;
	box-sizing:border-box;
	box-shadow:2px 2px 6px -2px inset;
	color:#000;
	float:left;
	height:100%;
	height:calc(100% - 60px);
	margin:30px 0 30px 30px;
	outline:0 0;
	overflow:auto;
	padding:1em;
	resize:horizontal;
	width:45%
}
.ui-field::-moz-selection {
	background:rgba(30,144,255,.4);
	color:#000!important
}
.ui-field::selection {
	background:rgba(30,144,255,.4);
	color:#000!important
}
.ui-aside {
	height:100%;
	overflow:auto
}
.ui-treeview {
	padding:30px;
	position:relative
}
.ui-menu {
	height:40px;
	position:fixed;
	right:20px;
	top:50px;
	width:40px;
	z-index:1
}
.ui-menu::before {
	background:url('/images/gear.svg') no-repeat 50% 50% / 25px;
	content:'';
	display:block;
	height:40px;
	opacity:.5;
	position:fixed;
	-webkit-transform:rotate(-45deg);
	transform:rotate(-45deg);
	-webkit-transition:opacity 3500ms ease,-webkit-transform 100ms ease;
	transition:opacity 3500ms ease,transform 100ms ease;
	width:40px
}
.ui-menu:hover::before {
	opacity:1;
	-webkit-transform:rotate(0);
	transform:rotate(0)
}
.ui-menu-dropdown {
	display:none;
	padding:20px;
	position:absolute;
	right:-22px;
	top:18px;
	-moz-user-select:none
}
.ui-menu:hover .ui-menu-dropdown {
	display:block
}
.ui-menu-panel {
	background:#FFF;
	border:solid 1px #CCC;
	box-shadow:0 3px 2px -3px rgba(0,0,0,.2);
	color:#555;
	display:block;
	font-family:Ubuntu,Arial,sans-serif;
	font-size:78%;
	padding:2px;
	position:relative;
	-moz-user-select:none;
	white-space:nowrap
}
.ui-menu-panel:before {
	background:#FFF;
	border:solid #CCC;
	border-radius:0 0 20px;
	border-width:1px 0 0 1px;
	content:'';
	display:block;
	height:6px;
	position:absolute;
	right:18px;
	top:-4px;
	-moz-transform:rotate(45deg);
	-webkit-transform:rotate(45deg);
	transform:rotate(45deg);
	width:6px
}
.ui-menu-item {
	color:inherit;
	cursor:pointer;
	display:block;
	padding:3px 10px 3px 5px;
	text-decoration:none
}
.ui-menu-item:hover {
	background-color:#1e90ff;
	color:#FFF
}
.ui-menu-separator {
	border:0;
	border-top:solid 1px #E5E5E5;
	height:0;
	margin:2px -2px;
	padding:0
}
.ui-menu-item::before {
	content:'';
	display:inline-block;
	width:1.2em
}
.beautify #beautify::before,.show-indexes #show-indexes::before,.show-types #show-types::before {
	content:'✔'
}
.popup-container {
	background:rgba(0,0,0,.8);
	display:none;
	height:100%;
	position:absolute;
	top:0;
	width:100%;
	z-index:2
}
.popup-container.show {
	display:table
}
.popup-centerer {
	cursor:pointer;
	display:table-cell;
	vertical-align:middle
}
.popup {
	background:url(/images/avatar.png) #FFF bottom center no-repeat;
	border:solid 10px #FFF;
	border-radius:50%;
	cursor:default;
	font-family:Ubuntu,Arial,Helvetica,sans-serif;
	height:290px;
	margin-left:auto;
	margin-right:auto;
	max-width:50%;
	padding:4em 5em 6em;
	position:relative;
	text-align:center;
	width:290px
}
.links {
	font-size:73%;
	margin-top:1.4em
}
.link {
	color:#1e90ff;
	cursor:pointer;
	text-decoration:underline
}
.title {
	font-size:140%;
	font-weight:700
}
small {
	font-size:73%
}
.bitcoin {
	background-image:none
}
.bitcoin .main,.second {
	display:none
}
.bitcoin .second,.main {
	display:block;
	margin:0 -3em
}
.popup-close {
	bottom:-30px;
	color:#FFF;
	display:block;
	left:0;
	position:absolute;
	right:0;
	text-decoration:none
}
.popup-close:hover {
	color:#F55
}
.status-error {
	background:#C00;
	color:#FFF;
	display:inline-block;
	margin-left:30px
}
.json {
	font-family:'DejaVu Sans Mono','Courier New',monospace;
	line-height:152%;
	word-wrap:break-word
}
.property {
	color:#204a87
}
.number {
	color:#ad7fa8
}
.string {
	color:#4e9a06
}
.boolean {
	color:#c4a000
}
.null {
	color:#babdb6;
	font-style:italic
}
.error {
	background:url(/images/syntax-error.png) repeat-x left bottom;
	border-radius:3px;
	cursor:default;
	padding:0;
	text-shadow:none
}
.error::after {
	background:rgba(255,0,0,.4);
	border-radius:2px;
	content:"";
	display:block;
	height:17px;
	left:10px;
	margin-top:-17px;
	position:absolute;
	width:10px
}
.error:hover::after {
	background:rgba(255,0,0,.8)
}
.show-indexes ol {
	counter-reset:idx -1
}
.show-indexes ol>li::before {
	color:#A40000;
	content:counter(idx)'.';
	counter-increment:idx;
	font-family:arial;
	font-size:63%;
	font-weight:700;
	padding:0 5px 0 0;
	vertical-align:bottom
}
.show-indexes.color ol>li::before {
	background-color:#a40000
}
li,ol,ul {
	display:inline;
	margin:0;
	padding:0
}
.beautify li,.beautify ol,.beautify ul {
	display:block
}
.beautify ol,.beautify ul {
	/*margin:0 0 0 3px;
	padding:0 0 0 17px*/
}
.toggle {
	cursor:pointer
}
.collapsed .toggle::before {
	content:'▶'
}
.toggle:hover,.toggle:hover~.toggle-end {
	background:#FF0;
	font-weight:700
}
.toggle:hover::before {
	font-weight:400
}
.toggle:hover+ol,.toggle:hover+ul {
	border-left:dotted 1px #888
}
.collapsed>ol,.collapsed>ul {
	display:none!important
}
.object>.toggle,.object>.toggle-end {
	color:#729fcf
}
.object>.toggle::before {
	border-color:#729fcf;
	color:#729fcf
}
.collapsed.object .toggle-end::before {
	content:'…';
	display:inline
}
.array>.toggle,.array>.toggle-end {
	color:#a40000
}
.array>.toggle::before {
	border-color:#a40000;
	color:#a40000
}
.collapsed.array .toggle-end::before {
	content:attr(card);
	display:inline
}
.array::before,.boolean::before,.number::before,.object::before,.string::before {
	border-radius:2px;
	color:#FFF;
	margin:0 2px;
	opacity:.4;
	padding:.1em .2em;
	word-wrap:normal
}
.show-types .object::before {
	background-color:#729fcf;
	content:'object'
}
.show-types .array::before {
	background-color:#a40000;
	content:'array'
}
.show-types .number::before {
	background-color:#ad7fa8;
	content:'number'
}
.show-types .string::before {
	background-color:#4e9a06;
	content:'string'
}
.show-types .boolean::before {
	background-color:#c4a000;
	content:'boolean'
}
